class dovecot::dovecot_sql (
  $package_name           = $::dovecot::params::package_name,
  $configfile_dovecot_sql = '/etc/dovecot/dovecot-sql.conf.ext',
  $template_dovecot_sql   = $::dovecot::params::template_dovecot_sql,
  $driver                 = undef,
  $connect                = undef,
  $default_pass_scheme    = undef,
  $password_query         = undef,
) inherits dovecot::params {
  file { $configfile_dovecot_sql:
    require => package[$package_name],
    content => template($template_dovecot_sql),
    group   => 'dovecot',
    mode    => '0640',
  }
}
